<?php
/*
Version: 1.1
Plugin Name: Psli-BingMaps
Author: psli 
Description: Maintenance function for plugin "Psli-BingMaps"
*/

// Chech whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Include define data
include_once(dirname(__FILE__).'/include/const.inc.php');

/********************************************************************************************/
//               Plugin activation
// Create all needed tables and parameters ( with value by default) in CONFIG_TABLE
/********************************************************************************************/
function plugin_activate($plugin_id, $plugin_version, &$errors)
{
	global $prefixeTable;
	
	$sql = '
		CREATE TABLE IF NOT EXISTS `'.PSLI_ENTITIES_TABLE."` (
			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
			`lat` decimal(15,12) DEFAULT '0.000000000000',
			`lon` decimal(15,12) DEFAULT '0.000000000000',
			`title` text,
			`id_category` smallint(5) unsigned DEFAULT NULL,
			`zoomMin` smallint(6) DEFAULT NULL,
			`zoomMax` smallint(6) DEFAULT NULL,
			`action` smallint(6) DEFAULT NULL,
			PRIMARY KEY (`id`),
			UNIQUE KEY `psli_i10` (`id_category`)
		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;";
	pwg_query($sql);
	
	$sql = '
		CREATE TABLE IF NOT EXISTS `'.PSLI_DATAPOINT_TABLE.'` (
			`id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
			`id_entity` smallint(5) unsigned,
			`lat` decimal(20,17) DEFAULT NULL,
			`lon` decimal(20,17) DEFAULT NULL,
			PRIMARY KEY (`id`)
		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;';
	pwg_query($sql);
	
	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_LON."', '0');";
    pwg_query($sql);
	
	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_LAT."', '0');";
    pwg_query($sql);
	
	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_ZOOM."', '2');";
    pwg_query($sql);
	
	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_KEY."', 'to define');";
    pwg_query($sql);
	
	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_CATEGORY."', 'to define');";
    pwg_query($sql);

	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_VERSION_MAJ."', '".PSLI_VERSION_MAJ."');";
    pwg_query($sql);
	
	$sql = 'INSERT INTO '.CONFIG_TABLE." (param, value) VALUES ('".PSLI_CONF_VERSION_MIN."', '".PSLI_VERSION_MIN."');";
    pwg_query($sql);	
}

/********************************************************************************************/
//               Plugin deactivation
// Destroy tables and parameters created by plugin
/********************************************************************************************/
function plugin_deactivate($plugin_id)
{
	global $prefixeTable;
	$sql = 'DROP TABLE `'.PSLI_ENTITIES_TABLE.'`;';
	pwg_query($sql);
	$sql = 'DROP TABLE `'.PSLI_DATAPOINT_TABLE.'`;';
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_LAT."';";
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_LON."';";
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_ZOOM."';";
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_KEY."';";
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_CATEGORY."';";
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_VERSION_MAJ."';";
	pwg_query($sql);
	$sql = 'DELETE FROM `'.CONFIG_TABLE."` WHERE param = '".PSLI_CONF_VERSION_MIN."';";
	pwg_query($sql);
}

?>